<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:50 JST 2014 -->
<TITLE>
Serialized Form
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Serialized Form";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?serialized-form.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="serialized-form.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H1>
Serialized Form</H1>
</CENTER>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>org.apache.zookeeper</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="org.apache.zookeeper.KeeperException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException</A> extends java.lang.Exception implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
results</H3>
<PRE>
java.util.List&lt;E&gt; <B>results</B></PRE>
<DL>
<DD>All multi-requests that result in an exception retain the results
 here so that it is possible to examine the problems in the catch
 scope.  Non-multi requests will get a null if they try to access
 these results.
<P>
<DL>
</DL>
</DL>
<HR>
<H3>
code</H3>
<PRE>
<A HREF="org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A> <B>code</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
path</H3>
<PRE>
java.lang.String <B>path</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<A NAME="org.apache.zookeeper.KeeperException.APIErrorException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.APIErrorException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.APIErrorException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.AuthFailedException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.AuthFailedException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.AuthFailedException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.BadArgumentsException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.BadArgumentsException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.BadArgumentsException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.BadVersionException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.BadVersionException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.BadVersionException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.ConnectionLossException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.ConnectionLossException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.ConnectionLossException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.DataInconsistencyException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.DataInconsistencyException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.DataInconsistencyException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.InvalidACLException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.InvalidACLException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.InvalidACLException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.InvalidCallbackException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.InvalidCallbackException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.InvalidCallbackException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.MarshallingErrorException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.MarshallingErrorException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.MarshallingErrorException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.NoAuthException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.NoAuthException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.NoAuthException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.NoChildrenForEphemeralsException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.NoChildrenForEphemeralsException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.NoChildrenForEphemeralsException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.NodeExistsException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.NodeExistsException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.NodeExistsException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.NoNodeException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.NoNodeException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.NotEmptyException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.NotEmptyException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.NotEmptyException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.NotReadOnlyException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.NotReadOnlyException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.NotReadOnlyException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.OperationTimeoutException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.OperationTimeoutException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.OperationTimeoutException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.RuntimeInconsistencyException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.RuntimeInconsistencyException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.RuntimeInconsistencyException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.SessionExpiredException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.SessionExpiredException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.SessionExpiredException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.SessionMovedException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.SessionMovedException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.SessionMovedException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.SystemErrorException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.SystemErrorException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.SystemErrorException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.KeeperException.UnimplementedException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/KeeperException.UnimplementedException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException.UnimplementedException</A> extends <A HREF="org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A> implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.Shell.ExitCodeException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/Shell.ExitCodeException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.Shell.ExitCodeException</A> extends java.io.IOException implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
exitCode</H3>
<PRE>
int <B>exitCode</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>org.apache.zookeeper.server</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="org.apache.zookeeper.server.RequestProcessor.RequestProcessorException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/server/RequestProcessor.RequestProcessorException.html" title="class in org.apache.zookeeper.server">org.apache.zookeeper.server.RequestProcessor.RequestProcessorException</A> extends java.lang.Exception implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.server.ServerCnxn.CloseRequestException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/server/ServerCnxn.CloseRequestException.html" title="class in org.apache.zookeeper.server">org.apache.zookeeper.server.ServerCnxn.CloseRequestException</A> extends java.io.IOException implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-7854505709816442681L

<P>

<P>
<A NAME="org.apache.zookeeper.server.ServerCnxn.EndOfStreamException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/server/ServerCnxn.EndOfStreamException.html" title="class in org.apache.zookeeper.server">org.apache.zookeeper.server.ServerCnxn.EndOfStreamException</A> extends java.io.IOException implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>-8255690282104294178L

<P>

<P>
<A NAME="org.apache.zookeeper.server.ZooKeeperServer.MissingSessionException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/server/ZooKeeperServer.MissingSessionException.html" title="class in org.apache.zookeeper.server">org.apache.zookeeper.server.ZooKeeperServer.MissingSessionException</A> extends java.io.IOException implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>7467414635467261007L

<P>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>org.apache.zookeeper.server.quorum</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="org.apache.zookeeper.server.quorum.Leader.XidRolloverException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/server/quorum/Leader.XidRolloverException.html" title="class in org.apache.zookeeper.server.quorum">org.apache.zookeeper.server.quorum.Leader.XidRolloverException</A> extends java.lang.Exception implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<A NAME="org.apache.zookeeper.server.quorum.QuorumPeerConfig.ConfigException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="org/apache/zookeeper/server/quorum/QuorumPeerConfig.ConfigException.html" title="class in org.apache.zookeeper.server.quorum">org.apache.zookeeper.server.quorum.QuorumPeerConfig.ConfigException</A> extends java.lang.Exception implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>

<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?serialized-form.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="serialized-form.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
